<ui:composition template="../template/user/user_default.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<ui:define name="titlePages">
		#{bandejaSalaDelUsuarioMB.resetearCamposyDefinirTipoUsuario('Investigador')}
		<span>REGISTRO DE USUARIO #{bandejaSalaDelUsuarioMB.request.user.tipoUsuarioBiblioteca} DE BIBLIOTECA</span>
	</ui:define>	
	<ui:define name="urlNavegacion">
		<li class="active"><a href="http://www.bnp.gob.pe/"> <b>BNP</b></a></li>
		<li>Band. Sala del Usuario</li>
		<li>Nuevo Usuario Investigador</li>
	</ui:define>
	<ui:define name="seccion_carnet">
	</ui:define>		
	<!-- Datos de registro-->
	<ui:define name="seccion_datos_registro_tipo_usuario">
		<h:outputLabel for="tipoUsuario" value="Tipo de Usuario : &#160;&#160;&#160;" styleClass="control-label" /><span class="style_requerido">*</span>
		<p:selectOneMenu id="tipoUsuario" value="#{bandejaSalaDelUsuarioMB.request.user.tipoUsuarioBiblioteca}" styleClass="form-control style-select">
			<f:selectItem itemValue="Investigador" itemLabel="Investigador" />
			<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.definirBotonesActivos}" update=":frmUserCreation" />
		</p:selectOneMenu>		
	</ui:define>
	<!-- Datos de historial de registro -->
	<ui:define name="seccion_historial_registro">
	</ui:define>			
	<ui:define name="seccion_datos_registro_periodo_suspension">
	</ui:define>	
	<ui:define name="seccion_datos_registro_inicio_suspension">
	</ui:define>	
	<ui:define name="seccion_datos_registro_fin_suspension">
	</ui:define>					
	<!-- Datos de preferencias del usuario -->
	<!-- Acciones  -->
	<ui:define name="seccion_guardar_informacion_campo_guardar">
<!-- 		<p:commandButton -->
<!-- 			id="btnGrabar" -->
<!-- 			value="Confirmar Registro" -->
<!-- 			icon="fa fa-file-text-o ocultarImgIcon" -->
<!-- 			disabled="#{bandejaSalaDelUsuarioMB.disabledBotonSave}" -->
<!-- 			styleClass="btn btn-primary btn-sensitive" -->
<!-- 			actionListener="#{bandejaSalaDelUsuarioMB.validatePreSave}" -->
<!-- 			ajax="true" update=":frmUserCreation:mensaje"/>	 -->
		<p:commandButton
			id="btnGrabar"
			value="Confirmar Registro"
			icon="fa fa-file-text-o ocultarImgIcon"
			disabled="#{bandejaSalaDelUsuarioMB.disabledBotonSave}"
			styleClass="btn btn-primary btn-sensitive"
			onclick="PF('statusDialog').show()"
			action="#{bandejaSalaDelUsuarioMB.save}"
			oncomplete="PF('statusDialog').hide();"
			ajax="true" update=":frmUserCreation:mensaje"/>			
	</ui:define>
	<ui:define name="seccion_guardar_informacion_campo_limpiar">
	</ui:define>	
</ui:composition>